Skip to main content
GET
List groups

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

status
string
status[]
string[]
isJoinable
boolean
isJoinable[]
boolean[]
isRoleGroup
boolean
isRoleGroup[]
boolean[]
parent
string
parent[]
string[]
localCenter
string
localCenter[]
string[]
unitType
string
unitType[]
string[]
order[name]
enum<string>
default:asc
Available options:
asc,
desc
order[parent.name]
enum<string>
default:asc
Available options:
asc,
desc
order[userType.position]
enum<string>
default:asc
Available options:
asc,
desc
exists[isRoleGroup]
boolean
exists[localCenter]
boolean
exists[unitType]
boolean
exists[parent]
boolean

Response

200 - application/json

Group collection

owner
object | null
description
string | null
hasPriority
boolean | null
default:true
hasDueDate
boolean | null
default:false
hasTypes
boolean | null
default:true
hasStatus
boolean | null
default:true
hasEvents
boolean | null
default:false
hasDiscussion
boolean | null
default:false
hasFiles
boolean | null
default:false
isJoinable
boolean | null
default:false
onlyAdminsCanPost
boolean | null
onlyAdminsCanCreateEvents
boolean | null
onlyAdminsCanUploadFiles
boolean | null
onlyAdminsCanAddMembers
boolean | null
includesAllMembers
boolean | null
category
object | null
isProject
boolean | null
default:false
id
integer
read-only
name
string
dateCreated
string<date-time>
dateEnded
string<date-time> | null
status
string | null
unitType
object | null
logo
string | null
userType
string<iri-reference> | null
Example:

"/api/v1/roles/1"

isRoleGroup
boolean | null
activeMemberCount
integer
emoji
string | null